package visual;

import javax.vecmath.Color3f;
import java.awt.*;

/**
 * Created by IntelliJ IDEA.
 * User: andy
 * Date: Apr 5, 2010
 *
 * Holds all Color related Constants.
 */
public class Palette {

    public static final Color3f white   = new Color3f(1.0f,1.0f,1.0f);

    public static final Color3f black   = new Color3f(0.0f,0.0f,0.0f);

    public static final Color3f grey = new Color3f(0.2f, .2f, .2f);
    public static final Color3f darkgrey = new Color3f(0.05f, .05f, .05f);
    public static final Color3f whitegray = new Color3f(new Color(253,253,253));//0.93f, 0.93f, 0.93f);
    public static final Color3f medium_grey = new Color3f(0.8f, 0.8f, 0.8f);
    public static final Color3f dark_blue_grey = new Color3f(new Color(87,98,96));

    public static final Color3f light_blue_purple = new Color3f(new Color(160,154,216));
    public static final Color3f light_blue = new Color3f(new Color(138,157,191));


    public static final Color3f red     = new Color3f(1.0f,0.0f,0.0f);
    public static final Color3f red2 = new Color3f(0.7f, .15f, .15f);
    public static final Color3f lightred = new Color3f(1.0f, .5f, .5f);
    public static final Color3f darkred = new Color3f(0.8f, .05f, .05f);

    public static final Color3f green   = new Color3f(0.0f,1.0f,0.0f);
    public static final Color3f darkgreen   = new Color3f(0.0f,0.4f,0.0f);

    public static final Color3f blue    = new Color3f(0.0f,0.0f,1.0f);
    public static final Color3f darkblue    = new Color3f(0.0f,0.0f,0.2f);

    public static final Color3f yellow  = new Color3f(1.0f,1.0f,0.0f);

    public static final Color3f cyan    = new Color3f(0.0f,1.0f,1.0f);

    public static final Color3f magenta = new Color3f(1.0f,0.0f,1.0f);

    public static final Color3f purple = new Color3f(new Color(196,74,151));
    public static Color3f bright_purple = new Color3f(new Color(192,108,177));

    public static final Color3f r1 = new Color3f(new Color(0,153,0));
    public static final Color3f r2 = new Color3f(new Color(51,152,0));
    public static final Color3f r3 = new Color3f(new Color(86,159,0));
    public static final Color3f r4 = new Color3f(new Color(131,160,0));
    public static final Color3f r5 = new Color3f(new Color(147,160,0));
    public static final Color3f r6 = new Color3f(new Color(191,158,0));
    public static final Color3f r7 = new Color3f(new Color(213,153,0));
    public static final Color3f r8 = new Color3f(new Color(210,135,0));
    public static final Color3f r9 = new Color3f(new Color(215,97,0));
    public static final Color3f r10 = new Color3f(new Color(239,49,0));
    public static final Color3f r11 = new Color3f(new Color(120,0,0));
    // added
    public static final Color3f r12 = new Color3f(new Color(255, 0, 0));



}
