package walker.utilities;

/**
 * Created by IntelliJ IDEA.
 * User: andy
 * Date: Mar 24, 2010
 */
public class Output {

    public static boolean debug = true;

    /**
     * Prints a message in the output stream. The message is printed in a new line.
     *
     * @param message the message
     */
    public static <T> void print(T message){
        if (debug){
             System.out.println(message);
        }
    }

    /**
     * Prints a message in the output stream.
     *
     * @param message the message
     */
    public static <T> void print2(T message){
        if (debug){
             System.out.print(message);
        }
    }
}
