package walker;

import visual.FrontEnd;
import visual.Crawler;

import java.io.File;

/**
 * Created by IntelliJ IDEA.
 * User: andy
 * Date: Apr 16, 2010
 */
public class Weyes {

    public static FrontEnd fe = null;
    public static String fileName = null;
    public static Crawler crawler = null;
    public static String LinkDisplayCapability = null;
	public static String NodeDisplayCapability = null;
	public static String NodeInfoCapability = null;

    public static void main(String args[]) {
        
        if (args.length < 1){
            System.out.println("Specify the wiseml path!");
            System.exit(0);
        }

        fileName = args[0];

        if (args.length > 1){
            System.out.println("The '" + args[1] +"' link Capability will determine the link color.");
            LinkDisplayCapability = args[1];
        }
        
        // XXX Quick 'n' dirty command line parsing hack
        if (args.length > 2) {
        	System.out.println("The '" + args[2] + "' node capability will determine the node color.");
        	NodeDisplayCapability  = args[2];
        }
        
        if (args.length > 3) {
        	System.out.println("The '" + args[3] + "' node capability will be shown in the info label.");
        	NodeInfoCapability = args[3];
        }

        // Create tmp directories to store snapshots and error messages
        File tmp = new File("/tmp/Weyes/errors");
        if (!tmp.exists()){
            tmp.mkdirs();
        }

        // VisML the frontEnd thread.
        fe = new FrontEnd();
        fe.start();

        // VisML a new Crawler thread
        crawler = new Crawler();
        crawler.start();
    }

}
